#!/bin/sh
rm -rf nats-streaming-server
mkdir nats-streaming-server
export GOPATH=`pwd`/nats-streaming-server
git clone --depth 1 https://github.com/nats-io/nats-streaming-server $GOPATH/src/github.com/nats-io/nats-streaming-server
( cd $GOPATH/src/github.com/nats-io/nats-streaming-server
  go get -v -d .
)
tar cf - --exclude .git nats-streaming-server | xz -9 >nats-streaming-server-`date '+%Y%m%d'`.tar.xz
rm -rf nats-streaming-server
